QGIS Application - Bug report #16590
QGIS - query / python error
2017-05-22 02:33 AM - James 5

Status: Closed

Priority: Normal

Assignee:

Category: Python plugins

Affected QGIS version:2.18.7 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 24492
Description

Hello, | tried to create query in PostgisQuery - Editor 2.0.0 and | received error message.
| am receiving same error in postgisQueryBuilder.

An error has occurred while executing Python code:
TypeError: 'NoneType' object has no attribute '__getitem__'
Traceback (most recent call last):
File "/Users/james/.qgis2/python/plugins/postgisquery/PostgisQuery.py", line 173, in showVLayer
tmpLayerDef = self.createShapeFileName(self.postgisQuery TmpPath)
File "/Users/james/.qgis2/python/plugins/postgisquery/PostgisQuery.py", line 236, in createShapeFileName
if myPath[-1] =="/":
TypeError: 'NoneType' object has no attribute *__getitem__'
Python version: 2.7.10 (default, Jul 30 2016, 18:31:42) [GCC 4.2.1 Compatible Apple LLVM 8.0.0 (clang-800.0.34)]
QGIS version: 2.18.7 Las Palmas, exported

History

#1 - 2017-05-22 02:35 AM - James 5
- Status changed from Open to Closed

Sorry, my bad. | didn't deliver password.
